1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdsmysql
  6. getDatabase
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine

    Data Source schema for Volcengine::RDSMySQL::Database

    Using getDatabase

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getDatabase(args: GetDatabaseArgs, opts?: InvokeOptions): Promise<GetDatabaseResult>
    function getDatabaseOutput(args: GetDatabaseOutputArgs, opts?: InvokeOptions): Output<GetDatabaseResult>
    def get_database(id: Optional[str] = None,
                     opts: Optional[InvokeOptions] = None) -> GetDatabaseResult
    def get_database_output(id: pulumi.Input[Optional[str]] = None,
                     opts: Optional[InvokeOptions] = None) -> Output[GetDatabaseResult]
    func LookupDatabase(ctx *Context, args *LookupDatabaseArgs, opts ...InvokeOption) (*LookupDatabaseResult, error)
    func LookupDatabaseOutput(ctx *Context, args *LookupDatabaseOutputArgs, opts ...InvokeOption) LookupDatabaseResultOutput

    > Note: This function is named LookupDatabase in the Go SDK.

    public static class GetDatabase 
    {
        public static Task<GetDatabaseResult> InvokeAsync(GetDatabaseArgs args, InvokeOptions? opts = null)
        public static Output<GetDatabaseResult> Invoke(GetDatabaseInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetDatabaseResult> getDatabase(GetDatabaseArgs args, InvokeOptions options)
    public static Output<GetDatabaseResult> getDatabase(GetDatabaseArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:rdsmysql/getDatabase:getDatabase
      arguments:
        # arguments dictionary
    data "volcenginecc_rdsmysql_getdatabase" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getDatabase Result

    The following output properties are available:

    CharacterSetName string
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    DatabasePrivileges List<Volcengine.GetDatabaseDatabasePrivilege>
    Database privilege authorization information.
    Description string
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    Id string
    Uniquely identifies the resource.
    InstanceId string
    Database instance ID.
    Name string
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    Status string
    Database status. Values: Unavailable (not available), Available (available).
    CharacterSetName string
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    DatabasePrivileges []GetDatabaseDatabasePrivilege
    Database privilege authorization information.
    Description string
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    Id string
    Uniquely identifies the resource.
    InstanceId string
    Database instance ID.
    Name string
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    Status string
    Database status. Values: Unavailable (not available), Available (available).
    character_set_name string
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    database_privileges list(object)
    Database privilege authorization information.
    description string
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    id string
    Uniquely identifies the resource.
    instance_id string
    Database instance ID.
    name string
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    status string
    Database status. Values: Unavailable (not available), Available (available).
    characterSetName String
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    databasePrivileges List<GetDatabaseDatabasePrivilege>
    Database privilege authorization information.
    description String
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    id String
    Uniquely identifies the resource.
    instanceId String
    Database instance ID.
    name String
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    status String
    Database status. Values: Unavailable (not available), Available (available).
    characterSetName string
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    databasePrivileges GetDatabaseDatabasePrivilege[]
    Database privilege authorization information.
    description string
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    id string
    Uniquely identifies the resource.
    instanceId string
    Database instance ID.
    name string
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    status string
    Database status. Values: Unavailable (not available), Available (available).
    character_set_name str
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    database_privileges Sequence[GetDatabaseDatabasePrivilege]
    Database privilege authorization information.
    description str
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    id str
    Uniquely identifies the resource.
    instance_id str
    Database instance ID.
    name str
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    status str
    Database status. Values: Unavailable (not available), Available (available).
    characterSetName String
    Database character set. Supported character sets: utf8, utf8mb4 (default), latin1, ascii.
    databasePrivileges List<Property Map>
    Database privilege authorization information.
    description String
    Database description, up to 256 characters. This field is optional. If not set, or if set with a description length of 0, the description will be empty.
    id String
    Uniquely identifies the resource.
    instanceId String
    Database instance ID.
    name String
    Database name. Naming rules: must be unique; length must be 2–64 characters; must start with a letter and end with a letter or number; can contain letters, numbers, underscores (_), or hyphens (-); certain reserved words, such as root and admin, cannot be used.
    status String
    Database status. Values: Unavailable (not available), Available (available).

    Supporting Types

    GetDatabaseDatabasePrivilege

    AccountName string
    Database account name.
    AccountPrivilege string
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    AccountPrivilegeDetail string
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    Host string
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    AccountName string
    Database account name.
    AccountPrivilege string
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    AccountPrivilegeDetail string
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    Host string
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    account_name string
    Database account name.
    account_privilege string
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    account_privilege_detail string
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    host string
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    accountName String
    Database account name.
    accountPrivilege String
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    accountPrivilegeDetail String
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    host String
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    accountName string
    Database account name.
    accountPrivilege string
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    accountPrivilegeDetail string
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    host string
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    account_name str
    Database account name.
    account_privilege str
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    account_privilege_detail str
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    host str
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.
    accountName String
    Database account name.
    accountPrivilege String
    Granted account privilege type. Values: ReadWrite (read and write privileges), ReadOnly (read-only privileges), DDLOnly (DDL privileges only), DMLOnly (DML privileges only), Custom (custom privileges).
    accountPrivilegeDetail String
    Database privilege string. When used as a request parameter, this field is required if AccountPrivilege is set to Custom. Values: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, EVENT, TRIGGER. When returned, the detailed privileges for AccountPrivilege are displayed regardless of whether AccountPrivilege is set to Custom.
    host String
    The specified database account can access the database from the IP address. Default value: %. If Host is set to %, the account can access the database from any IP address. If Host is set to 192.10.10.%, the account can access the database from IP addresses between 192.10.10.0 and 192.10.10.255. The specified Host must be added to the instance's allowlist.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.35
    published on Thursday, May 14, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.